Main Page Widgets Namespaces Book

# filefilter.h File Reference

## Namespaces

namespace | Glib
namespace | Gtk

## Classes

class | Gtk::FileFilter
class | Gtk::FileFilter::Info

## Enumerations

enum | Gtk::FileFilterFlags { Gtk::FILE_FILTER_FILENAME = 1 << 0, Gtk::FILE_FILTER_URI = 1 << 1, Gtk::FILE_FILTER_DISPLAY_NAME = 1 << 2, Gtk::FILE_FILTER_MIME_TYPE = 1 << 3 }

Bitwise operators:
  `FileFilterFlags operator|(FileFilterFlags, FileFilterFlags)`
  `FileFilterFlags operator&(FileFilterFlags, FileFilterFlags)`
  `FileFilterFlags operator^(FileFilterFlags, FileFilterFlags)`
  `FileFilterFlags operator~(FileFilterFlags)`
  `FileFilterFlags& operator|=(FileFilterFlags&, FileFilterFlags)`
  `FileFilterFlags& operator&=(FileFilterFlags&, FileFilterFlags)`
  `FileFilterFlags& operator^=(FileFilterFlags&, FileFilterFlags)`

More...

## Functions

FileFilterFlags | Gtk::operator& (FileFilterFlags lhs, FileFilterFlags rhs)
FileFilterFlags& | Gtk::operator&= (FileFilterFlags& lhs, FileFilterFlags rhs)
FileFilterFlags | Gtk::operator^ (FileFilterFlags lhs, FileFilterFlags rhs)
FileFilterFlags& | Gtk::operator^= (FileFilterFlags& lhs, FileFilterFlags rhs)
FileFilterFlags | Gtk::operator| (FileFilterFlags lhs, FileFilterFlags rhs)
FileFilterFlags& | Gtk::operator|= (FileFilterFlags& lhs, FileFilterFlags rhs)
FileFilterFlags | Gtk::operator~ (FileFilterFlags flags)